﻿Imports Telerik.WinControls.UI

Public Class Form1

    Public Sub New()
        InitializeComponent()
        Me.RadGridView1.TableElement.TableHeaderHeight = 100
        AddHandler Me.RadGridView1.ViewCellFormatting, AddressOf radGridView1_ViewCellFormatting
    End Sub

    Private Sub Form1_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        'TODO: This line of code loads data into the 'NwindDataSet.Suppliers' table. You can move, or remove it, as needed.
        Me.SuppliersTableAdapter.Fill(Me.NwindDataSet.Suppliers)
        'TODO: This line of code loads data into the 'NwindDataSet.Products' table. You can move, or remove it, as needed.
        Me.ProductsTableAdapter.Fill(Me.NwindDataSet.Products)

        RadGridView1.DataSource = NwindDataSet.Suppliers

        Dim template As New GridViewTemplate()
        template.DataSource = NwindDataSet.Products
        RadGridView1.MasterTemplate.Templates.Add(template)

        Dim relation As New GridViewRelation(RadGridView1.MasterTemplate)
        relation.ChildTemplate = template
        relation.RelationName = "SuppliersProducts"
        relation.ParentColumnNames.Add("SupplierID")
        relation.ChildColumnNames.Add("SupplierID")
        RadGridView1.Relations.Add(relation)
    End Sub

    Private Sub radGridView1_ViewCellFormatting(sender As Object, e As CellFormattingEventArgs)
        If TypeOf e.CellElement Is GridHeaderCellElement Then
            e.CellElement.TextWrap = True
        Else
            e.CellElement.ResetValue(LightVisualElement.TextWrapProperty, Telerik.WinControls.ValueResetFlags.Local)
        End If
        If TypeOf e.CellElement Is GridDetailViewCellElement Then
            Dim tableElement As GridTableElement = DirectCast(e.CellElement, GridDetailViewCellElement).ChildTableElement
            tableElement.TableHeaderHeight = 100
        End If
    End Sub
End Class
